const turno = document.querySelector("#turno");
const alert = document.querySelector(".alert");
var playerAttuale = 1;
var fineGioco = false;

game.init();
game.mostraForza4();

/**
 * Verifica che il giocatore 1 sta in game
 * @param {*} player 
 * @returns 
 */
function play(colonna)
{
    if(!fineGioco)
    {
        var lineaVuota = game.ritornaLineaCasellaVuotaColonna(colonna);
        if(lineaVuota !== -1)
        {
            game.giocaColpo(playerAttuale, lineaVuota, colonna);
            game.mostraForza4();
            var playerVincitore;

            if(game.verificaFineDelGioco(playerAttuale))
            {
                gestisciFineGioco();
                playerVincitore = playerAttuale;
            }

            if(playerAttuale === 1)
            {
                playerAttuale = 2;
                turno.innerHTML = "Turno del giocatore 2";
            }
            else 
            {
                playerAttuale = 1;
                turno.innerHTML = "Turno del giocatore 1";
            }

            if(game.verificaFineDelGioco(playerVincitore))
            {
                gestiscicambiaPannelloPlayer(playerVincitore);
            }
        }
    }
}

function gestiscicambiaPannelloPlayer(playerVincitore)
{
    turno.innerHTML = "Il giocatore " +playerVincitore+ " ha vinto!";
}

function gestisciFineGioco()
{
    fineGioco = true;
    alert.innerHTML = "Fine partita!";
    alert.classList.remove("d-none");
}